#!/bin/bash

# Copyright (c) 2012 Cloudera, Inc. All rights reserved.

# Time marker for both stderr and stdout
date; date 1>&2

cloudera_config=`dirname $0`
cloudera_config=`cd "$cloudera_config/../common"; pwd`
. ${cloudera_config}/cloudera-config.sh

# attempt to find java
locate_java_home

echo "using $JAVA_HOME as JAVA_HOME"
echo "using $CDH_VERSION as CDH_VERSION"
echo "using $CDH_ZOOKEEPER_HOME as CDH_ZOOKEEPER_HOME"
echo "using $CONF_DIR as CONF_DIR"

if [ "init" = "$1" ]; then
  # mirror /usr/bin/zookeeper-server-initialize
  export ZOOPIDFILE=${ZOOPIDFILE:-/var/run/zookeeper/zookeeper-server.pid}
  export ZOOKEEPER_HOME=${CDH_ZOOKEEPER_HOME}
  export ZOOKEEPER_CONF=${CONF_DIR}
  export ZOOCFGDIR=${ZOOKEEPER_CONF}
  export CLASSPATH=$CLASSPATH:$ZOOKEEPER_CONF:$ZOOKEEPER_HOME/*:$ZOOKEEPER_HOME/lib/*
  # log settings are all set through ZOOKEEPER_SERVER_OPTS
  #export ZOO_LOG_DIR=/var/log/zookeeper
  #export ZOO_LOG4J_PROP=INFO,ROLLINGFILE
  export JVMFLAGS="${JVMFLAGS} ${ZOOKEEPER_SERVER_OPTS}"
  export ZOO_DATADIR_AUTOCREATE_DISABLE=true
  env CLASSPATH=$CLASSPATH ${ZOOKEEPER_HOME}/bin/zkServer-initialize.sh
elif [ "cleanup" = "$1" ]; then
  # $2 is dataLogDir
  # $3 is dataDir, or "snapDir"
  # $4 is number of old snaps/logs to keep
  export CLASSPATH=$CLASSPATH:$CDH_ZOOKEEPER_HOME/*:$CDH_ZOOKEEPER_HOME/lib/*
  JAVA=$JAVA_HOME/bin/java
  $JAVA -cp $CLASSPATH $JAVA_OPTS -Dzookeeper.root.logger=${ZOO_LOG4J_PROP} org.apache.zookeeper.server.PurgeTxnLog "$2" "$3" -n "$4"
fi
