// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.
define([
	"cloudera/cmf/include/RoleStateAndIcon"
], function(RoleStateAndIcon) {

describe("RoleStateAndIcon Tests", function() {

	var roleState = {
		text : "Good",
		tag : "good"
	};
	it("should render the HTML for RoleStateAndIcon", function() {
		var options = {
				roleState: roleState
		};
		var actual = RoleStateAndIcon.render(options);
		var expected = '<span class="goodState"><span title="Good" class="icon"></span>Good</span>';
		expect(actual).toEqual(expected);
	});

	it("should render the HTML for RoleStateAndIcon with showIcon = false, showText = false", function() {
		var options = {
				roleState: roleState,
				showIcon: false,
				showText: false
		};
		var actual = RoleStateAndIcon.render(options);
		var expected = '<span class="goodState"></span>';
		expect(actual).toEqual(expected);
	});

	it("should render the HTML for RoleStateAndIcon with showIcon = true, showText = false", function() {
		var options = {
				roleState: roleState,
				showIcon: true,
				showText: false
		};
		var actual = RoleStateAndIcon.render(options);
		var expected = '<span class="goodState"><span title="Good" class="icon"></span></span>';
		expect(actual).toEqual(expected);
	});

	it("should render the HTML for RoleStateAndIcon with showIcon = false, showText = true, roleCount = 2", function() {
		var options = {
				roleState: roleState,
				showIcon: false,
				showText: true,
				roleCount: 2
		};
		var actual = RoleStateAndIcon.render(options);
		var expected = '<span class="goodState">2 Good</span>';
		expect(actual).toEqual(expected);
	});

});
});
