// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.
define([
	"cloudera/cmf/page/debug/TimeSeriesDebugChartSet"
], function(TimeSeriesDebugChartSet) {

return function(options) {

	function drawTimeSeries(evt) {
		var contextType = "ROLE";

		// populate the chart definitions.
		var metricIds = [];
		$.each($("input[name='metric']:checked"), function(index, metricElem) {
			if (metricElem.value !== "") {
				metricIds.push(metricElem.value);
			}
		});
		var timeSeriesDescriptors = [];
		$.each(metricIds, function(i, metricId) {
			$.each($("input[name='key']"), function(j, key) {
				var keyAsJson = jQuery.parseJSON(key.value);
				timeSeriesDescriptor = {
					metric: {
						id: metricId,
						context: keyAsJson.context,
						desc: "Metric " + metricId + " for " + contextType,
						title: "Metric " + metricId + " for " + contextType,
						selector: "AVERAGE"
					},
					chart: {
						id: metricId,
						title: "Metric " + metricId + " for " + contextType
					},
					context: {
						id: keyAsJson.name,
						type: keyAsJson.context
					}
				};
				timeSeriesDescriptors.push(timeSeriesDescriptor);
			});
		});

		// populate all the parameters.
		var params = {
			'startDate': jQuery("#startDate").datepicker('getDate'),
			'endDate': jQuery("#endDate").datepicker('getDate'),
			'jsonURL': "/cmf/debug/timeseriesGet",
			'timeSeriesDescriptors': timeSeriesDescriptors
		};
		var chartSet = new TimeSeriesDebugChartSet(params, "cmsChart");
		evt.preventDefault();
		return false;
	}

	$("#drawTimeSeries").click(drawTimeSeries);
};

});
